
	function atkSwitcherOnClick(switcher_id, item_id, value)
	{
		for (var id = 1;; id++)
		{
			var item = document.getElementById('atkSwitcher_' + switcher_id + '_' + id);
			
			if (item == null)
				break;
			
			if (id == item_id && atkSwitchersActiveItems[switcher_id] != item_id)
			{
				item.style.backgroundColor = atkSwitchersStyle[switcher_id]['active_bgcolor'];
				item.style.color = atkSwitchersStyle[switcher_id]['active_fontcolor'];
			}
			else
			{
				item.style.backgroundColor = atkSwitchersStyle[switcher_id]['bgcolor'];
				item.style.color = atkSwitchersStyle[switcher_id]['fontcolor'];
			}
		}
		
		var switcher = document.getElementById(switcher_id);
		if (atkSwitchersActiveItems[switcher_id] == item_id)
		{
			atkSwitchersActiveItems[switcher_id] = '';
			switcher.value = atkSwitchersDefault[switcher_id];
		}
		else
		{
			atkSwitchersActiveItems[switcher_id] = item_id;
			switcher.value = value;
		}
	}
	